LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   ffmpeg Slackbuild fails in current multilib (http://www.linuxquestions.org/questions/slackware-14/ffmpeg-slackbuild-fails-in-current-multilib-781053/)

damgar 01-09-2010 09:33 AM

ffmpeg Slackbuild fails in current multilib
 
Hi all I was trying to use alien bob's slackbuild mentioned in another thread http://www.linuxquestions.org/questi...hine..-780946/ and it failed everytime, so I tried to do it individually, building dependencies with sbopkg which worked except for Schroedinger and then ffmpeg still fails. I don't have access to the logs or fail messages at this moment, but I'm wondering if it is failing due to the newest gcc-multilib version? Does anyone else have an idea or any thoughts on this?

I think it's worth mentioning that I'm also running kernel 2.6.33-rc3 with multilib-current

Mr-Bisquit 01-09-2010 10:09 AM

Right now, just build with tar and make plus dependencies.
Download ffmpeg source.
Use tar -xvf or tar -xjf
Read the README and INSTALL documents in the foder.
Add the dependences.
Use ./configure to build and vi to further adjust the Makefile variables.
Make install clean.

Alien Bob 01-09-2010 11:53 AM

It always helps if you post the actual errors, so that we do not have to guess.

Eric

Daedra 01-09-2010 04:18 PM

Quote:

Originally Posted by damgar (Post 3820153)
Hi all I was trying to use alien bob's slackbuild mentioned in another thread http://www.linuxquestions.org/questi...hine..-780946/ and it failed everytime, so I tried to do it individually, building dependencies with sbopkg which worked except for Schroedinger and then ffmpeg still fails. I don't have access to the logs or fail messages at this moment, but I'm wondering if it is failing due to the newest gcc-multilib version? Does anyone else have an idea or any thoughts on this?

I think it's worth mentioning that I'm also running kernel 2.6.33-rc3 with multilib-current

The problem is schrodinger 1.0.7. try using 1.0.8 and it should compile fine.

damgar 01-09-2010 09:12 PM

Quote:

Originally Posted by Alien Bob (Post 3820314)
It always helps if you post the actual errors, so that we do not have to guess.

Eric

I know and I hate to be a pain, but I didn't have access to my slackbox at the time, and was wondering if someone else had had the same problem, or if it was just me. Thank you for reading my post.

Quote:

Originally Posted by Daedra (Post 3820561)
The problem is schrodinger 1.0.7. try using 1.0.8 and it should compile fine.

I think you might have nailed it. With 1.0.8 Schroedinger built just fine.

I wasn't sure if there was a way to use BOB's script (BIG THANKS for all the awesome scripts and help BTW:cool:) So I went back to SBo and (attempted anyway) to pass essentially the patents=yes options. ffmpeg built this time. My only question is now going to be if I "passed the variables to the script" properly. I just did
PHP Code:

bash-3.1# sh ffmpeg.SlackBuild AMRNB=yes AMRWB=yes DC1394=yes DIRAC=yes FAAC=yes FAAD=yes LAME=yes JP2=yes SCHROEDINGER=yes SPEEX=yes VDPAU=yes X264=yes XVID=yes 



All times are GMT -5. The time now is 12:41 AM.